# Uses of Class
org.apache.avro.SchemaBuilder.BooleanDefault

Packages that use SchemaBuilder.BooleanDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.BooleanDefault in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.BooleanDefault
Modifier and Type
Method
Description
`final SchemaBuilder.BooleanDefault<R>`
SchemaBuilder.BaseFieldTypeBuilder.`booleanType()`
A plain boolean type without custom properties.
Methods in org.apache.avro that return types with arguments of type SchemaBuilder.BooleanDefault
Modifier and Type
Method
Description
`final SchemaBuilder.BooleanBuilder<SchemaBuilder.BooleanDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`booleanBuilder()`
Build a boolean type that can set custom properties.
`SchemaBuilder.BooleanBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.BooleanDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`booleanBuilder()`
Build a boolean type that can set custom properties.
`SchemaBuilder.UnionAccumulator<SchemaBuilder.BooleanDefault<R>>`
SchemaBuilder.UnionFieldTypeBuilder.`booleanType()`
A plain boolean type without custom properties.